summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/twisted/twisted.install
diff options
context:
space:
mode:
authorJames Meyer <jams@linhes.org>2010-12-04 23:48:49 (GMT)
committerJames Meyer <jams@linhes.org>2010-12-04 23:48:49 (GMT)
commit037ab1a6a2fee07c83b47dc4d4ffd629b9052e85 (patch)
treea4256da38a768da362aad34ad9a8bcc7da611c30 /abs/extra/community/twisted/twisted.install
parent0b251e4b5f6d56e5aba84aaf780fbf4e6a289245 (diff)
parent2ddfcdc1360af607e5925afe0e0f3562ad538738 (diff)
downloadlinhes_pkgbuild-037ab1a6a2fee07c83b47dc4d4ffd629b9052e85.zip
linhes_pkgbuild-037ab1a6a2fee07c83b47dc4d4ffd629b9052e85.tar.gz
linhes_pkgbuild-037ab1a6a2fee07c83b47dc4d4ffd629b9052e85.tar.bz2
Merge branch 'testing' of ssh://linhes.org/mount/repository/linhes_pkgbuild into testing
Diffstat (limited to 'abs/extra/community/twisted/twisted.install')
-rw-r--r--abs/extra/community/twisted/twisted.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/abs/extra/community/twisted/twisted.install b/abs/extra/community/twisted/twisted.install
new file mode 100644
index 0000000..8e93ffd
--- /dev/null
+++ b/abs/extra/community/twisted/twisted.install
@@ -0,0 +1,11 @@
+post_install() {
+ python2 -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || return 1
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ find /usr/lib/python2.7/site-packages/twisted/plugins -name dropin.cache | xargs -r rm -f
+}